> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Configuration



## OpenAPI

````yaml /development/api-reference/openapi.json put /api/v1/configurations/system
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/configurations/system:
    put:
      tags:
        - configurations
      summary: Update Configuration
      operationId: update_configuration_api_v1_configurations_system_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateConfigurationRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/agentstack_server__api__schema__common__EntityModel____class_getitem_____locals___ModelOutput__7
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    UpdateConfigurationRequest:
      properties:
        default_llm_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Llm Model
        default_embedding_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Embedding Model
      type: object
      title: UpdateConfigurationRequest
    agentstack_server__api__schema__common__EntityModel____class_getitem_____locals___ModelOutput__7:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        default_llm_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Llm Model
          description: Default LLM model (e.g., 'openai:gpt-4o')
        default_embedding_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Embedding Model
          description: Default embedding model (e.g., 'openai:text-embedding-3-small')
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          type: string
          format: uuid
          title: Created By
      type: object
      required:
        - id
        - created_by
      title: SystemConfigurationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````